Subject: Segmentation fault on launch related to x_draw_glyph_string_background

From: Left Right <[email-masked]>
Date: Fri, 29 Jun 2012 05:25:26 +0300

Hello,
I've built 24.1 release and the latest version from git repository.
Both exhibit same behavior:

wvxvw@wvxvw-desktop:~/projects/emacs-sources/emacs/src$ gdb ./emacs
GNU gdb (GDB) 7.0.1-debian
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/wvxvw/projects/emacs-sources/emacs/src/emacs...done.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not
from terminal]
DISPLAY = :0.0
TERM = xterm
Breakpoint 1 at 0x4e1e40: file emacs.c, line 390.
Temporary breakpoint 2 at 0x500050: file sysdep.c, line 843.
(gdb) run -q
Starting program: /home/wvxvw/projects/emacs-sources/emacs/src/emacs -q
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
x_draw_glyph_string_background (s=0x7fffffffcb60, force_p=1) at xterm.c:1210
1210          else if (FONT_HEIGHT (s->font) < s->height - 2 * box_line_width
(gdb) c
Continuing.
Fatal error (11)
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff548a497 in kill () from /lib/libc.so.6
(gdb) q

Things that might need clarification:
- I try to avoid AA fonts everywhere I can, so, every possible font
rendering setting I found is set so it shouldn't use AA. This is KDE
on Debian squeeze 64 bit. The default font used everywhere is Arial.

What I see when Emacs starts (and stops on the fault) - the display
area isn't fully initialized, the screen and the scrollbars aren't
drawn completely (scrollbars show blanks). The mouse pointer changes
shape to a bitmap image of an arrow (similar to the one used on Macs,
i.e. black arrow with white contour) while hovering over the menu
strip. The mouse pointer disappears when hovering over the text area.
The menu in Emacs doesn't use the system default font at the time it
crashes (it uses something that looks like narrow-ish Helvetica, but
cannot tell for sure, but it uses some sort of vector rendering, it's
not a bitmap font.)

I'll happily provide any additional info.

Best.

Oleg